| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Properties | Private Member Functions | Private Attributes

# IG::Num::ScalarFunctionRadialParametric Class Reference

Parametric scalar function. More...

Inheritance diagram for IG::Num::ScalarFunctionRadialParametric:
[legend]
Collaboration diagram for IG::Num::ScalarFunctionRadialParametric:
[legend]

List of all members.

## Public Member Functions
| ScalarFunctionRadialParametric (IRealFunctionParametric function, IVector parameters, IAffineTransformation transf)
| Constructor. Creates a new radial scalar function without specifying coordinate transformation.
| ScalarFunctionRadialParametric (IRealFunctionParametric function, IAffineTransformation transf)
| Constructor. Creates a new parameterized radial scalar function without specifying coordinate transformation.
| ScalarFunctionRadialParametric (IRealFunctionParametric function, IVector parameters)
| Constructor. Creates a new parameterized radial scalar function without specifying coordinate transformation.
| ScalarFunctionRadialParametric (IRealFunctionOneParametric function)
| Constructor. Creates a new parameterized radial scalar function without specifying coordinate transformation or parameters.
virtual double[] | GetParameters ()
| Returns parameters of the current parametric function as an array.
virtual void | SetParameters (double[] parameters)
| Sets parameters of the current parametric functions, where parameters are specified as array.
virtual double | GetParameter (int which)
| Returns value of the specified parameter of the parameterized function.
virtual void | SetParameter (int which, double value)
| Sets the specific parameters of the parameterized function.
## Properties
virtual IRealFunctionParametric | FunctionParametric`[get, set]`
| Gets or sets the parametrivc real-valued function of one variable that defines the current radial function.
override IRealFunction | Function`[get, set]`
| Gets or sets a real-valued function of one variable that defines the current radial function. When setting, the argument must be of appropriate type (IRealFunctionParametric).
virtual IVector | Parameters`[get, set]`
| Parameters that define the specific function out of parametric familiy of scalar functions.
virtual int | NumParameters`[get]`
| Gets number of parameters that define the current function out of parametric family of scalar functions.
## Private Member Functions
| ScalarFunctionRadialParametric ()
## Private Attributes
IRealFunctionParametric | _functionParametric

## Detailed Description

Parametric scalar function.

## Constructor & Destructor Documentation

IG::Num::ScalarFunctionRadialParametric::ScalarFunctionRadialParametric | ( |  | ) | `[inline, private]`

IG::Num::ScalarFunctionRadialParametric::ScalarFunctionRadialParametric | ( | IRealFunctionParametric | function,
|  | IVector | parameters,
|  | IAffineTransformation | transf
| ) |  | `[inline]`

Constructor. Creates a new radial scalar function without specifying coordinate transformation.

Parameters:

  function | A real-valued function of one parameter that defined the radial function.
  parameters | Parameters that define the function out of a parametric family of functions.
  transformation | Affine transformation of coordinates. Actual function is calculated as some reference function evaluated at inverse affine transformed parameters. If null then transformation is not applied.

IG::Num::ScalarFunctionRadialParametric::ScalarFunctionRadialParametric | ( | IRealFunctionParametric | function,
|  | IAffineTransformation | transf
| ) |  | `[inline]`

Constructor. Creates a new parameterized radial scalar function without specifying coordinate transformation.

Parameters:

  function | A real-valued function of one parameter that defined the radial function.
  transformation | Affine transformation of coordinates. Actual function is calculated as some reference function evaluated at inverse affine transformed parameters. If null then transformation is not applied.

IG::Num::ScalarFunctionRadialParametric::ScalarFunctionRadialParametric | ( | IRealFunctionParametric | function,
|  | IVector | parameters
| ) |  | `[inline]`

Constructor. Creates a new parameterized radial scalar function without specifying coordinate transformation.

Parameters:

  function | A real-valued function of one parameter that defined the radial function.
  parameters | Parameters that define the function out of a parametric family of functions.

IG::Num::ScalarFunctionRadialParametric::ScalarFunctionRadialParametric | ( | IRealFunctionOneParametric | function | ) | `[inline]`

Constructor. Creates a new parameterized radial scalar function without specifying coordinate transformation or parameters.

Parameters:

  function | A real-valued function of one parameter that defined the radial function.

## Member Function Documentation

virtual double [] IG::Num::ScalarFunctionRadialParametric::GetParameters | ( |  | ) | `[inline, virtual]`

Returns parameters of the current parametric function as an array.

Usually, implementations use vector as natural representation of parameters, therefore this function creates an array and copies values.

Implements IG::Num::IScalarFunctionParametric.

Reimplemented in IG::Num::ScalarFunctionRadialOneParametric.

virtual void IG::Num::ScalarFunctionRadialParametric::SetParameters | ( | double[] | parameters | ) | `[inline, virtual]`

Sets parameters of the current parametric functions, where parameters are specified as array.

Parameters:

  parameters | Array of parameters. Array length must correspond to actual number of parameters.

Implements IG::Num::IScalarFunctionParametric.

Reimplemented in IG::Num::ScalarFunctionRadialOneParametric.

virtual double IG::Num::ScalarFunctionRadialParametric::GetParameter | ( | int | which | ) | `[inline, virtual]`

Returns value of the specified parameter of the parameterized function.

Parameters:

  which | Specifies which parameter is returned.

Implements IG::Num::IScalarFunctionParametric.

Reimplemented in IG::Num::ScalarFunctionRadialOneParametric.

virtual void IG::Num::ScalarFunctionRadialParametric::SetParameter | ( | int | which,
|  | double | value
| ) |  | `[inline, virtual]`

Sets the specific parameters of the parameterized function.

Parameters:

  which | Specifies which parameter is set.
  value | Value of the specified parameter.

Implements IG::Num::IScalarFunctionParametric.

Reimplemented in IG::Num::ScalarFunctionRadialOneParametric.

## Member Data Documentation

IRealFunctionParametric IG::Num::ScalarFunctionRadialParametric::_functionParametric`[private]`

## Property Documentation

virtual IRealFunctionParametric IG::Num::ScalarFunctionRadialParametric::FunctionParametric`[get, set]`

Gets or sets the parametrivc real-valued function of one variable that defines the current radial function.

Reimplemented in IG::Num::ScalarFunctionRadialOneParametric.

override IRealFunction IG::Num::ScalarFunctionRadialParametric::Function`[get, set]`

Gets or sets a real-valued function of one variable that defines the current radial function. When setting, the argument must be of appropriate type (IRealFunctionParametric).

Reimplemented from IG::Num::ScalarFunctionRadial.

Reimplemented in IG::Num::ScalarFunctionRadialOneParametric.

virtual IVector IG::Num::ScalarFunctionRadialParametric::Parameters`[get, set]`

Parameters that define the specific function out of parametric familiy of scalar functions.

Implements IG::Num::IScalarFunctionParametric.

Reimplemented in IG::Num::ScalarFunctionRadialOneParametric.

virtual int IG::Num::ScalarFunctionRadialParametric::NumParameters`[get]`

Gets number of parameters that define the current function out of parametric family of scalar functions.

Implements IG::Num::IScalarFunctionParametric.

Reimplemented in IG::Num::ScalarFunctionRadialOneParametric.

The documentation for this class was generated from the following file:

- FunctionScalarRadial.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events